LettrLabs API
API ReferenceAutomations

List integration orders

Returns the account's integration orders (automations) — standing orders that mail each recipient added to them — with their template and configuration details.

GET
/v1/integration-orders

Returns the account's integration orders (automations) — standing orders that mail each recipient added to them — with their template and configuration details.

X-API-KEY<token>

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/integration-orders"
{  "profile": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "payload": [    {      "id": 0,      "name": "string",      "createdDate": "2019-08-24T14:15:22Z",      "updatedDate": "2019-08-24T14:15:22Z",      "postageType": "Standard",      "integrationOrderStatus": "Active"    }  ],  "errorCode": "UNAUTHENTICATED",  "errors": [    "string"  ],  "hasErrors": true,  "warnings": [    "string"  ],  "hasWarnings": true,  "errorDetails": [    null  ],  "metadata": {    "property1": null,    "property2": null  }}
{  "profile": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "payload": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "errorCode": "UNAUTHENTICATED",  "errors": [    "string"  ],  "hasErrors": true,  "warnings": [    "string"  ],  "hasWarnings": true,  "errorDetails": [    null  ],  "metadata": {    "property1": null,    "property2": null  }}
Empty